Bug 124234 - Paragraph styles: some settings get lost when switching to different tab without Apply
Summary: Paragraph styles: some settings get lost when switching to different tab with...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.1.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3 Writer-Styles-Paragraph
  Show dependency treegraph
 
Reported: 2019-03-21 06:50 UTC by Martin Sourada
Modified: 2019-03-28 14:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screencast showing the described problem (302.38 KB, video/webm)
2019-03-25 08:08 UTC, Martin Sourada
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Sourada 2019-03-21 06:50:51 UTC
Description:
When modifying paragraphs styles, some changes get lost when switching between the tabs without hitting Apply first.

Steps to Reproduce:
1. Create new doc in LO Writer
2. Modify current paragraph style
3. Enter Indents & Spacing
4. Set Indent > Before text to 1 cm
5. Enter Tabs (without clicking Apply)
6. Add one tab stop at 2 cm (with default settings)
7. Click OK

Actual Results:
Indentation is not applied

Expected Results:
Both Indentation and Tab stop is applied


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.1.2
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 2; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: en-US (C); UI-Language: en-US
Calc: threaded
Comment 1 mulla.tasanim 2019-03-22 19:34:33 UTC
Thank you for reporting the bug.

I can not reproduce the bug in

Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL


Version: 6.3.0.0.alpha0+ (x64)
Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-08_00:38:10
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 2 Martin Sourada 2019-03-25 08:08:27 UTC
Created attachment 150270 [details]
Screencast showing the described problem

In case my description wasn’t clear enought, I attach short video showing this problem in:

Version: 6.2.2.2
Build ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU threads: 2; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: en-US (C); UI-Language: en-US
Calc: threaded
Comment 3 Dieter Praas 2019-03-25 12:29:02 UTC
I followed all steps, described in the video, but I couldn't reproduce it with

Version: 6.2.2.2 (x64)
Build-ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

and also not with

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-08_00:38:10
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded

Perhaps only Linux?
Comment 4 Martin Sourada 2019-03-25 12:58:58 UTC
(In reply to Dieter Praas from comment #3)
> Perhaps only Linux?

Haven’t thought of that. Now tried different VCL backends with these results:

* gen => not reproducible
* kde4 => not reproducible
* gtk => not reproducible
* gtk3 => reproducible
* gtk3 + LO 6.1.5.2 => not reproducible

So it’s a regression in the GTK3 port.
Comment 5 Caolán McNamara 2019-03-25 14:18:56 UTC
I'll bet this is a problem with switching between decks of the tabs
Comment 6 Martin Sourada 2019-03-25 20:40:28 UTC
I tried bibisecting (bibisect-linux-64-6.2), always in safe-mode. Here's the result:

08c424f0f095be287bd3ee378c7c36eded7c77e7 is the first bad commit
commit 08c424f0f095be287bd3ee378c7c36eded7c77e7
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Mon Dec 10 13:34:08 2018 +0100

    source sha:da6ec7f3274650dfdf047ba8d42291ddc5161858
    
    source sha:da6ec7f3274650dfdf047ba8d42291ddc5161858

:040000 040000 ddc1e82cd5f2358cda721ebb8dc61d3cae3c3fca 0a6e9292102ea9a0c773b4cdd47bafa68ff6c2ff M	instdir


git bisect log:
# bad: [65dce590fa74689c5000bb020c43c719bbb40b44] source sha:3450311c403af714d3fc0ba14b9f7673c717a6a2
# good: [f741463dfe1900d3acf87b538c0c043e42bc523d] source sha:3a801799536e6870f2fb111b1cc00b9575a35a39
git bisect start 'origin/master' 'oldest'
# good: [d9a0889f56f817ed465ee0516b3769f81b67bb29] source sha:53291ffee8e2a2186afbd2412881a18dded5a697
git bisect good d9a0889f56f817ed465ee0516b3769f81b67bb29
# good: [62af22048713633f81e31e3706f4c07788a40dc2] source sha:510c64cd540694f4b7e0896a56b3d0d3fbdacd0a
git bisect good 62af22048713633f81e31e3706f4c07788a40dc2
# good: [69bd7b8f886525a8d16e33e672a06e922a12669c] source sha:b294d613876e653be1814ecdbb192ad9de665955
git bisect good 69bd7b8f886525a8d16e33e672a06e922a12669c
# bad: [3283b135ff2f4fc2d26022eee3317bf288973306] source sha:be78a50a883e646e9d4830e3024554395dd12b9e
git bisect bad 3283b135ff2f4fc2d26022eee3317bf288973306
# good: [0bb289ccd4bcbdf68b68953f51308290ba07f72a] source sha:df2cb0625ba0952ef1013373df875d643ad989d5
git bisect good 0bb289ccd4bcbdf68b68953f51308290ba07f72a
# good: [19806674fa8a310d42cc261677fb3801744db901] source sha:db4ee864396a6a8813e800560454cf4053546ed2
git bisect good 19806674fa8a310d42cc261677fb3801744db901
# bad: [db8bec07f28043b8d66571fe73ea0324d6ecd6be] source sha:7fd8c82af1ce2a61ccb5c61c7596bf2a42b9f111
git bisect bad db8bec07f28043b8d66571fe73ea0324d6ecd6be
# good: [2ce14cc5089a07d0d7abcf79fed8a22d36e8bb71] source sha:740175916fd4cea821249201fa2af1fb2a3db867
git bisect good 2ce14cc5089a07d0d7abcf79fed8a22d36e8bb71
# bad: [168e6f95d7e6f38fe4a08ddc3facb3167ef8618f] source sha:03b352b9599514e4e244e1907510713cf1331284
git bisect bad 168e6f95d7e6f38fe4a08ddc3facb3167ef8618f
# good: [78ec68c697372a0659fc7c451284d2ee61a0f6e1] source sha:9066d04bca1ab0d2348049a2d7c4cb3abe4a5456
git bisect good 78ec68c697372a0659fc7c451284d2ee61a0f6e1
# good: [3fa0d5cf7bd83ce5bf1b8c27384a73f0ac5b144b] source sha:414246683899928014ea11ec07caebdfdf8aaee4
git bisect good 3fa0d5cf7bd83ce5bf1b8c27384a73f0ac5b144b
# bad: [a9bc37995bbd17a2de7c2a13c59a0b06f9734836] source sha:f4212175fe7c18855c52ef3e1aaa34eece2dccc5
git bisect bad a9bc37995bbd17a2de7c2a13c59a0b06f9734836
# bad: [08c424f0f095be287bd3ee378c7c36eded7c77e7] source sha:da6ec7f3274650dfdf047ba8d42291ddc5161858
git bisect bad 08c424f0f095be287bd3ee378c7c36eded7c77e7
# first bad commit: [08c424f0f095be287bd3ee378c7c36eded7c77e7] source sha:da6ec7f3274650dfdf047ba8d42291ddc5161858
Comment 7 Commit Notification 2019-03-25 21:15:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8fb0a3dd9f3dc68bdd5670d2d071e6f225111dc7%5E%21

Resolves: tdf#124234 page leave signal missing on move to overflow deck

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2019-03-25 21:17:08 UTC
fixed in master, backport to 6-2 in gerrit
Comment 9 Xisco Faulí 2019-03-27 15:56:53 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 705558aa455403cd006993f95b5b13981fdb3483
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 10 Commit Notification 2019-03-28 14:26:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/e019441cb0507fd533fe7114c6a1ea17e2c10aa6%5E%21

Resolves: tdf#124234 page leave signal missing on move to overflow deck

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.